Skip to main content
POST
Create a voice translation job

Authorizations

Authorization
string
header
default:DeepL-Auth-Key
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Query Parameters

include
enum<string>[]

Additional fields to include in the response.

  • signed_url: Include pre-signed URLs (signed_upload_url on create, signed_download_url on status) that can be used without an authorization header.
Available options:
signed_url

Body

application/json
source_file
object
required

Metadata about the source audio file to be uploaded.

targets
object[]
required

One or more translation targets. Each target produces a separate result.

Minimum array length: 1
parameters
object

Processing parameters for the voice translation job.

Response

Job created successfully.

job_id
string<uuid>
required

The unique identifier of the created job.

upload_url
string<uri>
required

The URL to upload the source audio file to via PUT with Content-Type: application/octet-stream. Requires the Authorization: DeepL-Signature {signature} header. See Upload File for details.

signature
string
required

A short-lived token used to authorize the file upload. Pass it via the Authorization header as DeepL-Signature {signature} when uploading to the upload_url.

signed_upload_url
string<uri>

A pre-signed upload URL that does not require an authorization header. Only present when ?include=signed_url is specified.